<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxVps\App\UI\TaskHistory\Modals;

use ModulesGarden\Servers\ProxmoxVps\App\UI\TaskHistory\Forms\InfoForm;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Widget\Buttons\ModalActionButtons\BaseCancelButton;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Widget\Modals\ModalConfirmDanger;

class InfoModal extends ModalConfirmDanger implements ClientArea
{

    public function initContent()
    {
        $this->initIds('infoModal');
        $this->setConfirmTitle("test");
        $this->addForm(new InfoForm());
    }

    protected function initActionButtons()
    {
        if (!empty($this->actionButtons))
        {
            return $this;
        }
        $this->addActionButton(new BaseCancelButton());
        return $this;
    }
}